Subject: Re: bug#39482: 26.3; set-fontset-font with emacs charset does not work correctly

From: Eli Zaretskii <[email-masked]>
Date: Sat, 08 Feb 2020 17:06:17 +0200

> From: [email-masked]
> Cc: [email-masked]
> Date: Sat, 08 Feb 2020 23:20:43 +0900
> 
> > Run the dependency walker (http://www.dependencywalker.com/) on
> > libharfbuzz-0.dll, and see if all of its dependencies are present.
> 
> The attached file is created by dependency walker.
> "指定されたファイルが見つかりません。" means
> "specified file not found." in Japanese.
> 
> There are many warnigs indicating that file is not found.
> Similar warnings are displayed for libjpeg-8.dll.
> 
> Except for DLLs starting with 'API-MS-' or 'EXT-MS-',
> LIBGLIB-2.0-0.DLL is not found.

I think that's the reason why HarfBuzz doesn't work for you:
libglib-2.0-0.dll is its dependency, but it wasn't found by the
system.  If it is not installed by the installer you used, I suggest
to report a separate bug about this problem.

I didn't know the snapshots are broken in this way when I suggested to
use them, sorry about that.

> I'm not sure it is relevant, SVG images are not displayed.
> (for example x86_64/share/emacs/27.0.60/etc/images/splash.svg)
> GIF, JPEG, PNG images are displayed.
>   image-types
>   => (svg png gif tiff jpeg xpm xbm pbm)
>   (mapcar #'image-type-available-p image-types)
>   => (nil t t t t t t t)
>   (assq 'svg image-library-alist)
>   => (svg "librsvg-2-2.dll")
> 
> For librsvg-2-2.dll, the following files are not found.
> [ ? ]  LIBGIO-2.0-0.DLL
> [ ? ]  LIBGLIB-2.0-0.DLL
> [ ? ]  LIBGMODULE-2.0-0.DLL
> [ ? ]  LIBGOBJECT-2.0-0.DLL
> [D? ]  DMENTERPRISEDIAGNOSTICS.DLL
> [D? ]  EFSCORE.DLL
> [D? ]  EMCLIENT.DLL
> [D? ]  FVESKYBACKUP.DLL
> [D? ]  HVSIFILETRUST.DLL
> [D? ]  IESHIMS.DLL
> [D? ]  NGCRECOVERY.DLL
> [D? ]  WFDSCONMGR.DLL
> [D? ]  WPAXHOLDER.DLL

I think it's the same problem: the Glib DLLs are not in the package.
(You should be able to install them from the MSYS2 site, but at this
point I hesitate to recommend you to do that, as that might require
some time and effort on your part, and the snapshots on alpha.gnu.org
need to be fixed anyway.)

Phillip, would you please look into this?